;----------------------------------------------------------------------------
;    MODULE NAME:   REXXTRAP.X
;
;        $Author:   Dennis_Bareis  $
;      $Revision:   1.1  $
;          $Date:   11 Nov 1999 17:32:54  $
;       $Logfile:   E:/DB/PVCS.IT/OS2/REXXHDR/REXXTRAP.X_V  $
;         SOURCE:   http://www.labyrinth.net.au/~dbareis/index.htm (db0@anz.com)
;
;    DESCRIPTION:   Example program for "REXXTRAP.XH".
;
;                   Compile with "ppwizard REXXTRAP.X"
;----------------------------------------------------------------------------

/*
 * $Header:   E:/DB/PVCS.IT/OS2/REXXHDR/REXXTRAP.X_V   1.1   11 Nov 1999 17:32:54   Dennis_Bareis  $
 */


/*--- Add trap handler for SYNTAX & NOVALUE errors --------------------------*/
#define  REXXTRAP_LINEOUT           SayAndDebugLine
#include "RexxTrap.XH"

/*--- Some code -------------------------------------------------------------*/
A = 1;
B = 2;

/*--- This line will fail ("cal" should be "call") --------------------------*/
Fred = 1; cal SomeRoutine Fred;

/*--- Return with number of changes made ------------------------------------*/
exit(0);




/*===========================================================================*/
SayAndDebugLine:
/*===========================================================================*/
   /*--- Doesn't do any more than default handler! --------------------------*/
   say arg(1);
   return;
